Skip to main content
Weavr Multi Product API
Managed Cards

Authorisation Forwarding

Webhook/managed_cards/authorisation_request

Receive purchase authorisation events and choose if to approve or decline them by replying to the event.

Switch on Authorisation Forwarding in your Sandbox Innovator Portal and configure the Authorisation Forwarding URL to start receiving these events. Weavr will send webhook events on the following URL {Authorisation Forwarding URL}/managed_cards_authorisation_forwarding.

A response is expected in 1.5s, after which the Default Timeout Response configured in the card profile or the card authForwardingDefaultTimeoutDecision parameter will be used.

Payload

*
application/json
{}
CardAuthorisationEventCardAuthorisationEvent · object · 15 fields

Accepted shapes

Selected by mode

Prepaid Mode Card Authorisation EventPREPAID_MODEobject
availableBalance
object
Debit Mode Card Authorisation EventDEBIT_MODEobject
parentManagedAccountId*
string
availableToSpend
array<AvailableToSpend · object>

Responses

200OK

Authorisation event received with APPROVED or DECLINED decision.

Body
application/json
{}
objectobject · 1 field
Response example
{  "result": "APPROVED"}